Installing the DSTI

To begin, the Data Science Toolkit Integration must be installed locally. The DSTI includes helper libraries that will streamline the process of training local models and deploying them to Fusion.

Prerequisites

  • Running instance of Fusion 5.0 or above, with AI license

  • Local development environment with Python 3.6.x on Mac OS or Linux

How to install the toolkit

  1. Clone the repository:

    % git clone https://github.com/lucidworks/fusion-data-science-toolkit.git
  2. Create and activate a virtual environment using virtualenv or pyenv.

  3. Install pip dependencies:

    % cd python-sdk
    % pip install -r requirements.txt
    Tip
    If you are running multiple Python versions, be sure to use the Python 3.6+ pip installer.
  4. Optionally, if you’d like to use Jupyter to train your models:

    % pip install jupyter